#
# spec file for package rubygem-homesick
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-homesick
Version:        1.1.5
Release:        1.1
%define mod_name homesick
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://github.com/technicalpickles/homesick
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Your home directory is your castle. Don't leave your dotfiles behind
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Your home directory is your castle. Don't leave your dotfiles behind.
Homesick is sorta like rip, but for dotfiles. It uses git to clone a
repository containing dotfiles, and saves them in ~/.homesick. It then allows
you to symlink all the dotfiles into place with a single command. 
.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="ChangeLog.markdown LICENSE README.markdown" \
  -f

%gem_packages

%changelog
* Fri Mar 24 2017 coolo@suse.com
- updated to version 1.1.5
  see installed ChangeLog.markdown
  [#1].1.5
  * Fixed problem with version number being incorrect.
  [#1].1.4
  * Make sure symlink conflicts are explicitly communicated to a user and symlinks are not silently overwritten
  * Use real paths of symlinks when linking a castle into home
  * Fix a problem when in a diff when asking a user to resolve a conflict
  * Some code refactoring and fixes
* Thu Mar 23 2017 coolo@suse.com
- updated to version 1.1.4
  see installed ChangeLog.markdown
* Sun Nov  1 2015 coolo@suse.com
- updated to version 1.1.3
  see installed ChangeLog.markdown
  [#1].1.3
  * Allow a destinaton to be passed when cloning a castle
  * Make sure `homesick edit` opens default editor in the root of the given castle
  * Fixed bug when diffing edited files
  * Fixed crashing bug when attempting to diff directories
  * Ensure that messages are escaped correctly on `git commit all`
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.1.2
* Thu Oct 24 2013 tboerger@novell.com
- Updated spec to newest gem2rpm format-
* Wed Oct 23 2013 tboerger@novell.com
- Initial package (0.9.6)
